Page MenuHomePhabricator

Ingenico: BPay donation form shows blank screen after 'Continue'
Closed, ResolvedPublic1 Story Points

Description

The donor in ticket #210061 reports that after pressing Continue they receive a blank screen. They used Safari 9.0.3 and Firefox 42.0 on a Mac desktop computer running El Capitan 10.11.3. Interestingly, it looks like their details did get transmitted to Ingenico; 2091707027 is an example. We have been able to replicate this as well, with a test donation yielding a blank screen but also transaction 7518606443, which is at status 800 (after which the donor needs to finish the transaction at their bank).

I can dig for the numbers of BPay donations to help set the priority, but it would be great to either fix this if it's easy, or remove the option if it's likely to be protracted.

Related Objects

Duplicates Merged Here
T140169: BPay is broken

Event Timeline

MBeat33 created this task.Feb 23 2016, 7:56 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 7:56 PM

Hi @MBeat33. Please associate at least one project with this task to allow others to find this task when searching in the corresponding project(s). Thanks.

This white screen error consistently occurs when testing https://donate.wikimedia.org/wiki/Special:FundraiserLandingPage?uselang=en&country=AU. The most recent BPay contrib in Civi was received January 19th. We haven't seen Zendesk tickets about this, and it's difficult to measure, but if we have a broken donation option it's not the best donor experience - should we remove the BPay option from the form?

Ppena added a subscriber: Pcoombe.Apr 5 2016, 11:15 PM

@Pcoombe can we remove BPay from banners/donate wiki? This is completely broken{F3834732}

@DStrine : just a reminder about this. We need it to be fixed before Big English, and ideally sooner so that we can start running early tests in Australia.

DStrine triaged this task as High priority.Jun 23 2016, 8:22 AM
Ejegg claimed this task.Jul 12 2016, 10:26 PM
Ejegg set the point value for this task to 1.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Muggle Baiting board.
Ejegg removed a subscriber: StudiesWorld.
Ejegg closed this task as Resolved.Jul 12 2016, 11:20 PM
Ejegg moved this task from Review to Done on the Fundraising Sprint Muggle Baiting board.

Thanks! I've added BPay back to donatewiki for Australia.